%bcond_without nas
%bcond_without pulse

Summary:   Linux Video Editing System
Name:      lives
Version:   1.4.4
Release:   14%{?dist}
License:   GPLv3+
Group:     Applications/Multimedia
URL:       http://lives.sourceforge.net/
Source0:   http://downloads.sourceforge.net/lives/LiVES-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf >= 2.57
BuildRequires: automake >= 1.7
BuildRequires: binutils
BuildRequires: esound-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: gettext >= 0.14.1
BuildRequires: gtk2-devel >= 2.8
BuildRequires: ImageMagick-devel >= 5
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: liboil-devel
BuildRequires: libvisual-devel >= 0.2.0
BuildRequires: mjpegtools-devel >= 1.6.2
BuildRequires: libdv-devel
BuildRequires: libraw1394-devel
%{?with_nas:BuildRequires: nas-devel}
%{?with_pulse:BuildRequires: pulseaudio-libs-devel >= 0.9.14}
BuildRequires: perl >= 5 
BuildRequires: python-devel >= 2.3.4
BuildRequires: SDL-devel >= 1.2.7
BuildRequires: sox-devel
Requires: cdda2wav
Requires: dvgrab
Requires: ImageMagick
Requires: mplayer >= 1.0-pre5
Requires: mpg123
Requires: sox
Requires: transcode
Requires: vorbis-tools
Requires: xmms

%description
LiVES is a Free, Open Source video editor *and* a VJ tool.
It is fully extendible through open standard RFX plugin scripts.
LiVES is aimed at the digital video artist 
who wants to create their own content, the video editor 
who wants to create professional looking video,
and the VJ who wants to captivate with spectacular images.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q
sed -i 's/Application;AudioVideo;Multimedia-Video;/GNOME;GTK;AudioVideo;/' menu-entries/LiVES.desktop
sed -i 's/\r//' weed-docs/weedspec.txt
sed -i 's/\r//' weed-docs/weedevents.txt
sed -i 's|/lib|/%{_lib}|g' build-lives-rfx-plugin-multi

%build
# glib2 < 2.14 requires --disable-glib-slice-allocator
%configure --disable-rpath \
           %{!?with_pulse:--disable-glib-slice-allocator}

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps
sed -i 's|/sbin/ldconfig|#/sbin/ldconfig|' libweed/Makefile
make DESTDIR=%{buildroot} install
pushd %{buildroot}%{_bindir}
ln -sf lives-exe lives
popd
%find_lang %{name}

%post
/sbin/ldconfig -n %{_libdir}/%{name}

%postun
/sbin/ldconfig -n %{_libdir}/%{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%{_bindir}/*
%{_libdir}/%{name}/plugins/*
%{_libdir}/libweed*.so.*
%{_datadir}/%{name}/plugins/*
%{_datadir}/doc/%{name}-%{version}
%{_datadir}/%{name}/default.keymap
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/themes/*
%{_datadir}/applications/LiVES.desktop
%{_datadir}/pixmaps/lives.xpm
%{_datadir}/%{name}/resources/vidtest.avi

%files devel
%defattr(-, root, root,-)
%{_includedir}/weed/*.h
%{_libdir}/libweed*.a
%{_libdir}/libweed*.la
%{_libdir}/libweed*.so
%{_libdir}/pkgconfig/libweed*.pc

%changelog
* Tue May 29 2012 Jeremiah Yongue <jeremiah@fuduntu.org> 1.4.4-14
- Rebuilt for Fuduntu

* Mon Jul 04 2011 Paulo Roma <roma@lcg.ufrj.br> 1.4.4-13
- updated to 1.4.4
- added pkgconfig files.

* Sun Apr 11 2010 Paulo Roma <roma@lcg.ufrj.br> 1.3.2-12
- updated to 1.3.2
- added resources/vidtest.avi

* Sat Oct 11 2009 Paulo Roma <roma@lcg.ufrj.br> 1.1.3-11
- updated to 1.1.3
- added BR pulseaudio-libs-devel.

* Tue Aug 04 2009 Paulo Roma <roma@lcg.ufrj.br> 1.0.0-10
- updated to 1.0.0
- not using chrpath for disabling rpath anymore.

* Thu May 21 2009 Paulo Roma <roma@lcg.ufrj.br> 0.9.9.8-9
- updated to 0.9.9.8
- Removed enable-OSC (auto detected).

* Tue Apr 21 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.9.7-8
- Make nas dependency conditional (default to active) to allow
  building on RHEL5.
- Add libvorbis, libdv, libraw1394 and liboil build dependencies.

* Fri Apr 03 2009 Paulo Roma <roma@lcg.ufrj.br> 0.9.9.7-7
- updated to 0.9.9.7
- Commented ldconfig in libweed/Makefile.
- Recreated lives symbolic link. 
- Using chrpath for removing rpath.

* Fri Nov 14 2008 Paulo Roma <roma@lcg.ufrj.br> 0.9.9.3-6
- updated to 0.9.9.3

* Fri Sep 19 2008 Paulo Roma <roma@lcg.ufrj.br> 0.9.9.2-6
- updated to 0.9.9.2
- removed the creation of the rendered plugins. Not a good
  idea after all.

* Thu Jul 31 2008 Paulo Roma <roma@lcg.ufrj.br> 0.9.9.1-5
- updated to 0.9.9.1
- created devel package.
- removed gcc3 option.
- patched desktop entry.
- configured with --enable-OSC
- creating rendered plugins in post section.

* Sun May 17 2008 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.12-4
- updated to 0.9.8.12

* Sun Apr 06 2008 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.10-4
- updated to 0.9.8.10
- Added BRs esound-devel and nas-devel.

* Sun Mar 31 2008 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.9-4
- updated to 0.9.8.9

* Sat Jan 12 2008 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.7-4
- updated to 0.9.8.7
- Using gcc34 and ./configure.

* Fri Oct 19 2007 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.6-4
- updated to 0.9.8.6

* Fri Jun 08 2007 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.5-4
- Requires gtk2 > 2 (not gtk+ > 2).

* Mon Jun 04 2007 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.5-3
- updated rpms to version 0.9.8.5
- No need to supply lives.desktop, since it is in the source now.
- No more %%{_bindir}/sendOSC

* Fri Apr 20 2007 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.4-3
- updated rpms to version 0.9.8.4

* Wed Jan 31 2007 Paulo Roma <roma@lcg.ufrj.br> 0.9.8.2-3
- updated rpms to version 0.9.8.2

* Thu Nov 09 2006 Paulo Roma <roma@lcg.ufrj.br> 0.9.7-3
- updated rpms to version 0.9.7

* Sun Jan 29 2006 Paulo Roma <roma@lcg.ufrj.br> 0.9.5
- updated rpms to version 0.9.5

* Tue Nov 01 2005 A. Pense <www.yousns.com> 0.9.5-pre5
- updated rpms to version 0.9.5-pre5

* Thu Jul 28 2005 A. Pense <www.yousns.com> 0.9.5-pre4
- updated rpms to version 0.9.5-pre4

* Wed Jul 27 2005 A. Pense 0.9.5-pre3
- First creation of spec file, source rpm
